### Function

# Gtk value_dup_expression

since: 4.0

#### Declaration [src]

    GtkExpression*
    gtk_value_dup_expression (
      const GValue* value
    )

#### Description [src]

Retrieves the `GtkExpression` stored inside the given `value`, and acquires a reference to it.

Available since: 4.0

#### Parameters

`value`

  Type: `GValue`

  A `GValue` initialized with type `GTK_TYPE_EXPRESSION`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkExpression`

A `GtkExpression`

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.